View Issue Details

IDProjectCategoryView StatusLast Update
0000581SOGoBackend Generalpublic2010-07-14 10:21
Reportermark Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.1 
Target Version1.3.0Fixed in Version1.3.0 
Summary0000581: Updating sogo in debian does not restart sogo
Description

When you update from the inverse repos, SOGo says "Starting" but doesn't actually kill the old process and start up a new one. A manual restart is required after updating otherwise problems don't get picked up until the next mornings log restart.

TagsNo tags attached.

Relationships

related to 0000632 resolvedwsourdeau wobundle.make not compatible with gnustep-make 2.4.0 

Activities

ludovic

ludovic

2010-07-08 17:06

administrator   ~0001168

From James

=== SNIP ===
Thanks. It's still missing the gnustep-make dependency. Postinst should
enable the proxy, proxy_http and headers modules automatically. Debconf
questions for some of the configuration items and the RequestHeader details
in /etc/apache2/conf.d/sogo.conf would be nice.

This version doesn't seem to have all the features in the online demo,
notably unauthenticated access to calendars. It's not there when I build
from trunk either.

Also, Debian squeeze only has libmemcached5 now, so SOGo isn't currently
installable from "deb http://inverse.ca/debian/ squeeze squeeze". I also
can't build from source in squeeze, it fails with:

Making all in Appointments ...
Making all for wobundle Appointments...
make[4]: No rule to make target obj', needed by internal-wobundle-all_'. Stop.
make[3]:
[Appointments.all.wobundle.variables] Error 2
=== SNIP ===

wsourdeau

wsourdeau

2010-07-14 10:21

viewer   ~0001182

fixed in fadda581fd1abe4d86b55b0e83a0de4f42e41119

Issue History

Date Modified Username Field Change
2010-04-22 05:30 mark New Issue
2010-06-10 21:08 ludovic Target Version => 1.2.3
2010-06-11 15:02 wsourdeau Status new => assigned
2010-06-11 15:02 wsourdeau Assigned To => wsourdeau
2010-07-08 17:06 ludovic Note Added: 0001168
2010-07-13 16:35 wsourdeau Relationship added related to 0000632
2010-07-14 10:21 wsourdeau Note Added: 0001182
2010-07-14 10:21 wsourdeau Status assigned => resolved
2010-07-14 10:21 wsourdeau Fixed in Version => 1.3.0
2010-07-14 10:21 wsourdeau Resolution open => fixed